NodeRings Docs

Get Organization

GET
/v1/organization
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Response Body

application/json

curl -X GET "https://api.nrings.io/v1/organization" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}"
{
  "organization": {
    "id": "string",
    "name": "string",
    "description": "string",
    "type": "ORGANIZATION_TYPE_UNSPECIFIED",
    "enforceMfa": true,
    "enforceVerifiedDomain": true,
    "enforceSso": true,
    "asn": "string",
    "owner": "string",
    "domains": [
      "string"
    ],
    "groups": [
      "string"
    ],
    "organizationRoles": [
      "string"
    ],
    "subscriptions": [
      "string"
    ],
    "metadata": {},
    "status": "STATUS_UNSPECIFIED",
    "timestamps": {
      "createTime": "2019-08-24T14:15:22Z",
      "updateTime": "2019-08-24T14:15:22Z"
    },
    "providerLogoUrl": "string",
    "ddosProvider": "string",
    "providerWebsiteUrl": "string",
    "isVerified": true,
    "reviewRequested": true
  }
}